Checks the balance on a card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The reference of the wallet to retrieve the balance for |
| narrative | String | 1-255 characters | ✓ | A description of the terminal where the card was used |
| transactionData | String | 0-2048 characters | ✓ | Extra information about the transaction in a KLV format |
| transactionID | String | 1-255 characters | ✓ | Transaction id number generated by the calling client. Note that the Transaction id is not a unique value and may be duplicated over time |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>Balance</methodName>
<params>
<param>
<value>
<string>0029504320</string>
</value>
</param>
<param>
<value>
<string>556789731480</string>
</value>
</param>
<param>
<value>
<string>STARBUCKS HANOI VNM</string>
</value>
</param>
<param>
<value>
<string>002157613861000015920041200000000000002604601103712127399089060041081234567804205123450490370405002300850025003MAG25110MasterCard252010253044562258010</string>
</value>
</param>
<param>
<value>
<string>415099</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T14:17:06</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>46719079E3BACE48D631E0A4361196BEB89C22B8</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| balanceAmount | Integer | Balance amount in cents |
| resultCode | Integer | Status code indicating transaction result |
| actualBalance | Integer | (Optional) Actual/settled balance in cents |
| addressVerificationResult | Integer | (Optional) Address Verification Result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>balanceAmount</name>
<value>
<int>626900</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>